{
  "compilerOptions": {
    "target": "ES2023",
    "module": "NodeNext",
    "moduleResolution": "NodeNext",
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "resolveJsonModule": true,
    "strictNullChecks": true,
    "noImplicitAny": false,
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "rootDirs": [
      "./impl",
      "./business-logic"
    ],
    "paths": {
      "@impl/*": [
        "./impl/*"
      ],
      "@api/*": [
        "./impl/api/*"
      ],
      "@controller/*": [
        "./impl/api/controller/*"
      ],
      "@model/*": [
        "./impl/api/model/*"
      ],
      "@gui/*": [
        "./impl/gui/*"
      ],
      "@lfm/*": [
        "./impl/gui/lfm/*"
      ],
      "@pom/*": [
        "./impl/gui/pom/*"
      ],
      "@mixins/*": [
        "./impl/gui/mixins"
      ],
      "@business-logic/*": [
        "./business-logic/*"
      ],
      "@validations/*": [
        "./business-logic/validations/*"
      ],
      "@workflows/*": [
        "./business-logic/workflows/*"
      ],
      "@helpers/*": [
        "./helpers/*"
      ],
      "@tests/*": [
        "./tests/*"
      ],
      "@utils/*": [
        "./impl/utils/*"
      ],
    }
  }
}